Bug 640293 - mod_revocator : does not adhere to Static Library Packaging Guidelines
Summary: mod_revocator : does not adhere to Static Library Packaging Guidelines
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mod_revocator
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Rob Crittenden
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-05 13:38 UTC by Michael Schwendt
Modified: 2011-03-25 07:06 UTC (History)
1 user (show)

Fixed In Version: mod_revocator-1.0.3-4.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-16 19:53:33 UTC


Attachments (Terms of Use)

Description Michael Schwendt 2010-10-05 13:38:51 UTC
mod_revocator-1.0.3-1.fc14.src
is missing
BuildRequires: nss-pkcs11-static

[...]

https://fedoraproject.org/wiki/Packaging:Guidelines#Packaging_Static_Libraries_2

If a library you depend on only provides a static version your package can link against it provided that you BuildRequire the *-static subpackage. Packagers in such a situation should be aware that if a shared library becomes available, that you should adjust your package to use the shared library.

Comment 1 Rob Crittenden 2010-10-05 14:07:20 UTC
Thanks for the report.

This new nss package added via virtual Provide in release 3.12.7-7:

* Tue Sep 28 2010 Elio Maldonado <emaldona@redhat.com> - 3.12.7-7 

BuildRequires added to both rawhide and F-14 packages. The F-14 package doesn't currently build because the nss package is still in updates-testing.

Comment 2 Fedora Update System 2011-03-07 20:17:13 UTC
mod_revocator-1.0.3-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mod_revocator-1.0.3-2.fc14

Comment 3 Fedora Update System 2011-03-07 20:17:58 UTC
mod_revocator-1.0.3-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mod_revocator-1.0.3-4.fc15

Comment 4 Fedora Update System 2011-03-08 02:17:02 UTC
mod_revocator-1.0.3-4.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mod_revocator'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/mod_revocator-1.0.3-4.fc15

Comment 5 Fedora Update System 2011-03-16 19:53:29 UTC
mod_revocator-1.0.3-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2011-03-25 07:06:19 UTC
mod_revocator-1.0.3-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.